# 60. Мутація: Асинхронно згенерувати "ZonesMap" на основі As-Applied

Асинхронно згенерувати "ZonesMap" на основі As-Applied для "Field".

{% hint style="info" %}
Асинхронний підхід ставить завдання (Generate "generateAsAppliedVectorAnalysisMap") на обробку, і Підписка буде отримана одразу після завершення обробки.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateAsAppliedZonesMapAsync {
  generateAsAppliedVectorAnalysisMapAsync(
    input: {
      fieldUuid: "<placeholder_of_field_uuid>"
      name: "actual"
      numberOfZones: 3
      asAppliedAttribute: "actual"
      asAppliedDatasetUuid: "<placeholder_of_as_applied_dataset_uuid>"
    }
  ) {
    uuid
    fieldUuid
    statusCode
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/60.-mutaciya-asinkhronno-zgeneruvati-zonesmap-na-osnovi-as-applied.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
